Summary: XML amd SGML document type definition for DocBook
Name: docbook-dtds


%global openjadever 1.3.2
%global momorel 8
Version: 4.3
Release: %{momorel}m
Group: Applications/Text
License: see "docbook*.dtd"
URL: http://www.oasis-open.org/docbook/

%NoSource 0 http://www.oasis-open.org/docbook/sgml/3.0/docbk30.zip 9a7f5b1b7dd52d0ca4fb080619f0459c
%global S_docbk30_zip %{S:0}
%NoSource 1 http://www.oasis-open.org/docbook/sgml/3.1/docbk31.zip 432749c0c806dbae81c8bcb70da3b5d3
%global S_docbk31_zip %{S:1}
%NoSource 2 http://www.oasis-open.org/docbook/sgml/4.0/docbk40.zip fabcf7dd1d88b94797b7e5344389eab9
%global S_docbk40_zip %{S:2}
%NoSource 3 http://www.oasis-open.org/docbook/sgml/4.1/docbk41.zip 489f6ff2a2173eb1e14216c10533ede2
%global S_docbk41_zip %{S:3}
#%%NoSource 4 http://www.oasis-open.org/docbook/xml/4.1/docbkx41.zip 90afec959a2a8c8636b121c198a30de8
#%%global S_docbkx41_zip %{S:4}
%NoSource 5 http://www.oasis-open.org/docbook/xml/4.1.2/docbkx412.zip 900d7609fb7e6d78901b357e4acfbc17
%global S_docbkx412_zip %{S:5}
%NoSource 6 http://www.oasis-open.org/docbook/xml/4.2/docbook-xml-4.2.zip 73fe50dfe74ca631c1602f558ed8961f
%global S_docbook_xml_4_2_zip %{S:6}
%NoSource 7 http://www.oasis-open.org/docbook/sgml/4.2/docbook-4.2.zip 0dfeb94569334dd22a62d90d99fc0630
%global S_docbook_4_2_zip %{S:7}
%NoSource 8 http://www.docbook.org/xml/4.3/docbook-xml-4.3.zip ab200202b9e136a144db1e0864c45074
%global S_docbook_xml_4_3_zip %{S:8}
%NoSource 9 http://www.docbook.org/sgml/4.3/docbook-4.3.zip e3beb1b0b2923c24fa55a68e88654b01
%global S_docbook_4_3_zip %{S:9}

Source50: http://www.oasis-open.org/docbook/xml/mathml/1.0/dbmathml.dtd
%global S_dbmathml_dtd %{S:50}
Source51: http://www.oasis-open.org/docbook/xml/mathml/1.0/testmath.xml
%global S_testmath_xml %{S:51}
Source52: http://www.oasis-open.org/docbook/xml/htmlforms/1.0/dbforms.dtd
%global S_dbforms_dtd %{S:52}
Source53: http://www.oasis-open.org/docbook/xml/htmlforms/1.0/testform.xml
%global S_testform_xml %{S:53}
Source54: http://www.oasis-open.org/docbook/xml/ebnf/1.0/dbebnf.dtd
%global S_dbebnf_dtd %{S:54}
Source55: http://www.oasis-open.org/docbook/xml/ebnf/1.0/testebnf.xml
%global S_testebnf_xml %{S:55}

#Source100: xml.cat
#%%global S_xml_cat %{S:100}

Patch0: docbook-sgml-catalogs.patch
Patch1: docbook-4.2-euro.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: unzip

PreReq: xml-common >= 0.6.3-16m
PreReq: sgml-common >= 0.6.3-16m
PreReq: fileutils
PreReq: libxml2 >= 2.4.8

Conflicts: openjade < %{openjadever}
Conflicts: openjade > %{openjadever}
Obsoletes: docbook-dtd30-sgml docbook-dtd31-sgml
Obsoletes: docbook-dtd40-sgml docbook-dtd41-sgml
Obsoletes: docbook-dtd41-xml docbook-dtd412-xml
Provides: docbook-dtd-xml docbook-dtd-sgml
Provides: docbook-dtd30-sgml docbook-dtd31-sgml
Provides: docbook-dtd40-sgml docbook-dtd41-sgml
Provides: docbook-dtd41-xml docbook-dtd412-xml
Provides: docbook-dtd42-sgml docbook-dtd42-xml

%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This package contains SGML and XML versions of the DocBook DTD up to
and including version 4.1.2.

%package -n docbook-mathml-module
Summary: This is the driver file for V1.0 of the DocBook MathML Module
Group: Applications/Text
PreReq: %{name} = %{version}-%{release}
PreReq: mathml-dtds >= 2.0

%description -n docbook-mathml-module
This module adds support for MathML in the DocBook XML DTD. With this
module, elements from the MathML namespace may be used inside equation
and inlineequation elements.

%prep
%setup -q -c -T

function extract()
{
  dir="$1"
  file="$2"
  %__mkdir ${dir}
  (
    cd ${dir}
    %__unzip -q ${file}
  )
}

extract 3.0-sgml  %{S_docbk30_zip}
extract 3.1-sgml  %{S_docbk31_zip}
extract 4.0-sgml  %{S_docbk40_zip}
extract 4.1-sgml  %{S_docbk41_zip}
#extract 4.1-xml   %{S_docbkx41_zip}
extract 4.1.2-xml %{S_docbkx412_zip}
extract 4.2-xml   %{S_docbook_xml_4_2_zip}
extract 4.2-sgml  %{S_docbook_4_2_zip}
extract 4.3-xml   %{S_docbook_xml_4_3_zip}
extract 4.3-sgml  %{S_docbook_4_3_zip}

%patch0 -p1 -b .catalog~
%patch1 -p1 -b .euro~

%__cp %{S_testmath_xml} %{S_testform_xml} %{S_testebnf_xml} .

%build
# pick up the documents for rpm
%__mkdir doc
for d in 3.0-sgml 3.1-sgml 4.0-sgml 4.1-sgml 4.1.2-xml 4.2-xml 4.2-sgml 4.3-xml 4.3-sgml; do
  %__mkdir doc/$d
  for i in ${d}/*.txt ${d}/README ${d}/ChangeLog; do
    [ -f ${i} ] && %__cp ${i} doc/${d}
  done
done
%__cp 3.1-sgml/ChangeLog doc/3.1-sgml/
%__cp 4.1-sgml/ChangeLog doc/4.1-sgml/

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
sgmlinstall() {
  dir="$1"
  destdir="$2"
  (
    cd ${dir}
    %__mkdir_p ${destdir}
    %__install *.dcl ${destdir}
    %__install docbook.cat ${destdir}/catalog
    %__install *.dtd ${destdir}
    %__install *.mod ${destdir}
  )
}
xmlinstall() {
  dir="$1"
  destdir="$2"
  (
    cd "${dir}"
    %__mkdir_p ${destdir}
    %__install docbook.cat ${destdir}/sgmlcatalog
    %__install *.dtd ${destdir}
    %__install *.mod ${destdir}
  )
}
xmlinstallwithent() {
  dir="$1"
  destdir="$2"
  (
    cd ${dir}
    %__mkdir_p ${destdir}/ent
    %__install docbook.cat ${destdir}/sgmlcatalog
    %__install *.dtd ${destdir}
    %__install *.mod ${destdir}
    %__install ent/*.ent ${destdir}/ent/
  )
}

sgmlinstall       3.0-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-3.0
sgmlinstall       3.1-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-3.1
sgmlinstall       4.0-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-4.0
sgmlinstall       4.1-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-4.1
sgmlinstall       4.2-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-4.2
sgmlinstall       4.3-sgml  %{buildroot}/usr/share/sgml/docbook/dtd-4.3
#xmlinstallwithent 4.1-xml   %{buildroot}/usr/share/xml/docbook/dtd-4.1
xmlinstallwithent 4.1.2-xml %{buildroot}/usr/share/xml/docbook/dtd-4.1.2
xmlinstallwithent 4.2-xml   %{buildroot}/usr/share/xml/docbook/dtd-4.2
xmlinstallwithent 4.3-xml   %{buildroot}/usr/share/xml/docbook/dtd-4.3

%__install %{S_dbmathml_dtd} %{buildroot}/usr/share/xml/docbook/dtd-4.1.2
%__install %{S_dbforms_dtd} %{buildroot}/usr/share/xml/docbook/dtd-4.1.2
%__install %{S_dbebnf_dtd} %{buildroot}/usr/share/xml/docbook/dtd-4.1.2
#%%__install %{S_xml_cat} %{buildroot}/usr/share/xml/docbook/catalog

# Symlinks
%__mkdir_p %{buildroot}/etc/sgml
%__ln_s sgml-docbook-4.3.cat \
  %{buildroot}/etc/sgml/sgml-docbook.cat
%__ln_s xml-docbook-4.3.cat \
  %{buildroot}/etc/sgml/xml-docbook.cat
(
  cd %{buildroot}
  find . -type f | xargs %__chmod 644
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
## Clean up pre-docbook-dtds mess caused by broken trigger.
for v in 3.0 3.1 4.0 4.1 4.1.2 4.2
do
        if [ -f %{_sysconfdir}/sgml/sgml-docbook-$v.cat ]
        then
                %{_bindir}/xmlcatalog --sgml --noout --del \
                        %{_sysconfdir}/sgml/sgml-docbook-$v.cat \
                        %{_datadir}/sgml/openjade-1.3.1/catalog 2>/dev/null
        fi
        if [ -f %{_sysconfdir}/sgml/xml-docbook-$v.cat ]
        then
                %{_bindir}/xmlcatalog --sgml --noout --del \
                        %{_sysconfdir}/sgml/xml-docbook-$v.cat \
                        %{_datadir}/sgml/openjade-1.3.1/catalog 2>/dev/null
        fi
done

##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# DocBook V3.0
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.0.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.0.cat \
  %{_datadir}/sgml/docbook/dtd-3.0/catalog

# DocBook V3.1
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.1.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.1.cat \
  %{_datadir}/sgml/docbook/dtd-3.1/catalog

# DocBook V4.0
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.0.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.0.cat \
  %{_datadir}/sgml/docbook/dtd-4.0/catalog

# DocBook V4.1
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.1.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.1.cat \
  %{_datadir}/sgml/docbook/dtd-4.1/catalog

# DocBook XML V4.1
#%%{_bindir}/xmlcatalog --sgml --noout --add \
#%  %{_sysconfdir}/sgml/xml-docbook-4.1.cat \
#%  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
#%%{_bindir}/xmlcatalog --sgml --noout --add \
#%  %{_sysconfdir}/sgml/xml-docbook-4.1.cat \
#%  %{_datadir}/xml/docbook/dtd-4.1/sgmlcatalog

# DocBook XML V4.1.2
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.1.2.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.1.2.cat \
  %{_datadir}/xml/docbook/dtd-4.1.2/sgmlcatalog

# DocBook V4.2
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.2.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.2.cat \
  %{_datadir}/sgml/docbook/dtd-4.2/catalog

# DocBook XML V4.2
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.2.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.2.cat \
  %{_datadir}/xml/docbook/dtd-4.2/sgmlcatalog

# DocBook V4.3
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.3.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.3.cat \
  %{_datadir}/sgml/docbook/dtd-4.3/catalog

# DocBook XML V4.3
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.3.cat \
  %{_datadir}/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.3.cat \
  %{_datadir}/xml/docbook/dtd-4.3/sgmlcatalog

# The following lines are for the case in which the style sheets
# were installed after another DTD but before this DTD
STYLESHEETS=$(echo %{_datadir}/sgml/docbook/dsssl-stylesheets-*)
STYLESHEETS=${STYLESHEETS##*/dsssl-stylesheets-}
if [ "$STYLESHEETS" != "*" ]; then
    # DocBook V3.0
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.0.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.0.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V3.1
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.1.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-3.1.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.0
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.0.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.0.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.1
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.1.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.1.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.1
#%    %{_bindir}/xmlcatalog --sgml --noout --add \
#%  %{_sysconfdir}/sgml/xml-docbook-4.1.cat \
#%  %{_datadir}/sgml/openjade-%{openjadever}/catalog
#%    %{_bindir}/xmlcatalog --sgml --noout --add \
#%  %{_sysconfdir}/sgml/xml-docbook-4.1.cat \
#%  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.1.2
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.1.2.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.1.2.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.2
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.2.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.2.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.2
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.2.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.2.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.3
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.3.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/sgml-docbook-4.3.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.3
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.3.cat \
  %{_datadir}/sgml/openjade-%{openjadever}/catalog
    %{_bindir}/xmlcatalog --sgml --noout --add \
  %{_sysconfdir}/sgml/xml-docbook-4.3.cat \
  %{_datadir}/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog
fi

# Fix up SGML super catalog so that there isn't an XML DTD before an
# SGML one.  We need to do this (*sigh*) because xmlcatalog messes up
# the order of the lines, and SGML tools don't like to see XML things
# they aren't expecting.
CATALOG=/etc/sgml/catalog
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]
then
  # Switch those two lines around.
  XML=$((XML - 1))
  SGML=$((SGML - 1))
  perl -e "@_=<>;@_[$XML, $SGML]=@_[$SGML, $XML];print @_" \
    ${CATALOG} > ${CATALOG}.rpmtmp
  mv -f ${CATALOG}.rpmtmp ${CATALOG}
fi

##
## XML catalog
##
CATALOG=/usr/share/xml/docbook/catalog

if [ -w $CATALOG ]
then
	# DocBook XML V4.1.2
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"dtd-4.1.2/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"dtd-4.1.2/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" \
		"dtd-4.1.2/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"dtd-4.1.2/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.1.2//EN" \
		"dtd-4.1.2/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"dtd-4.1.2/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"dtd-4.1.2/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"dtd-4.1.2/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" \
		"dtd-4.1.2/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"dtd-4.1.2/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" \
		"dtd-4.1.2/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"dtd-4.1.2/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"dtd-4.1.2/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" \
		"dtd-4.1.2/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" \
		"dtd-4.1.2/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"dtd-4.1.2/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"dtd-4.1.2/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"dtd-4.1.2/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"dtd-4.1.2/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"dtd-4.1.2/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"dtd-4.1.2/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" \
		"dtd-4.1.2/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"dtd-4.1.2/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"dtd-4.1.2/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"dtd-4.1.2/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"dtd-4.1.2/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"dtd-4.1.2/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.1.2" \
		"dtd-4.1.2" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.1.2" \
		"dtd-4.1.2" $CATALOG

	# DocBook XML V4.2
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"dtd-4.2/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"dtd-4.2/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.2//EN" \
		"dtd-4.2/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"dtd-4.2/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.2//EN" \
		"dtd-4.2/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"dtd-4.2/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"dtd-4.2/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"dtd-4.2/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.2//EN" \
		"dtd-4.2/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"dtd-4.2/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.2//EN" \
		"dtd-4.2/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"dtd-4.2/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"dtd-4.2/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.2//EN" \
		"dtd-4.2/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.2//EN" \
		"dtd-4.2/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"dtd-4.2/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"dtd-4.2/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"dtd-4.2/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"dtd-4.2/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"dtd-4.2/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"dtd-4.2/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.2//EN" \
		"dtd-4.2/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"dtd-4.2/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"dtd-4.2/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"dtd-4.2/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"dtd-4.2/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"dtd-4.2/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.2" \
		"dtd-4.2" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.2" \
		"dtd-4.2" $CATALOG

	# DocBook XML V4.3
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"dtd-4.3/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"dtd-4.3/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.3//EN" \
		"dtd-4.3/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"dtd-4.3/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.3//EN" \
		"dtd-4.3/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"dtd-4.3/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"dtd-4.3/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"dtd-4.3/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.3//EN" \
		"dtd-4.3/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"dtd-4.3/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.3//EN" \
		"dtd-4.3/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"dtd-4.3/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"dtd-4.3/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.3//EN" \
		"dtd-4.3/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.3//EN" \
		"dtd-4.3/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"dtd-4.3/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"dtd-4.3/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"dtd-4.3/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"dtd-4.3/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"dtd-4.3/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"dtd-4.3/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.3//EN" \
		"dtd-4.3/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"dtd-4.3/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"dtd-4.3/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"dtd-4.3/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"dtd-4.3/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"dtd-4.3/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.3" \
		"dtd-4.3" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.3" \
		"dtd-4.3" $CATALOG
fi

# Finally, make sure everything in /etc/sgml is readable!
/bin/chmod a+r /etc/sgml/*

%postun
##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# DocBook V3.0
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-3.0.cat
rm -f /etc/sgml/sgml-docbook-3.0.cat

# DocBook V3.1
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-3.1.cat
rm -f /etc/sgml/sgml-docbook-3.1.cat

# DocBook V4.0
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.0.cat
rm -f /etc/sgml/sgml-docbook-4.0.cat

# DocBook V4.1
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.1.cat
rm -f /etc/sgml/sgml-docbook-4.1.cat

# DocBook XML V4.1
#/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
#	/etc/sgml/xml-docbook-4.1.cat
#rm -f /etc/sgml/xml-docbook-4.1.cat

# DocBook XML V4.1.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.1.2.cat
rm -f /etc/sgml/xml-docbook-4.1.2.cat

# DocBook V4.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.2.cat
rm -f /etc/sgml/sgml-docbook-4.2.cat

# DocBook XML V4.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.2.cat
rm -f /etc/sgml/xml-docbook-4.2.cat

# DocBook V4.3
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.3.cat
rm -f /etc/sgml/sgml-docbook-4.3.cat

# DocBook XML V4.3
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.3.cat
rm -f /etc/sgml/xml-docbook-4.3.cat

# Fix up SGML super catalog so that there isn't an XML DTD before an
# SGML one.  We need to do this (*sigh*) because xmlcatalog messes up
# the order of the lines, and SGML tools don't like to see XML things
# they aren't expecting.
CATALOG=/etc/sgml/catalog
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]
then
  # Switch those two lines around.
  XML=$((XML - 1))
  SGML=$((SGML - 1))
  perl -e "@_=<>;@_[$XML, $SGML]=@_[$SGML, $XML];print @_" \
    ${CATALOG} > ${CATALOG}.rpmtmp
  mv -f ${CATALOG}.rpmtmp ${CATALOG}
fi

##
## XML catalog
##

CATALOG=/usr/share/xml/docbook/catalog

if [ -w $CATALOG ]
then
	# DocBook XML V4.1.2
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.1.2" $CATALOG

	# DocBook XML V4.2
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.2" $CATALOG

	# DocBook XML V4.3
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"dtd-4.3" $CATALOG
fi

%files
%defattr (-,root,root)
%doc doc/*
%doc testform.xml testebnf.xml
%{_datadir}/sgml/docbook/dtd-3.0
%{_datadir}/sgml/docbook/dtd-3.1
%{_datadir}/sgml/docbook/dtd-4.0
%{_datadir}/sgml/docbook/dtd-4.1
%{_datadir}/sgml/docbook/dtd-4.2
%{_datadir}/sgml/docbook/dtd-4.3
%{_datadir}/xml/docbook/dtd-4.1.2/ent
%{_datadir}/xml/docbook/dtd-4.1.2/*.mod
%{_datadir}/xml/docbook/dtd-4.1.2/sgmlcatalog
%{_datadir}/xml/docbook/dtd-4.1.2/calstblx.dtd
%{_datadir}/xml/docbook/dtd-4.1.2/dbebnf.dtd
%{_datadir}/xml/docbook/dtd-4.1.2/dbforms.dtd
%{_datadir}/xml/docbook/dtd-4.1.2/docbookx.dtd
%{_datadir}/xml/docbook/dtd-4.1.2/soextblx.dtd
%{_datadir}/xml/docbook/dtd-4.2
%{_datadir}/xml/docbook/dtd-4.3
%{_sysconfdir}/sgml/sgml-docbook.cat
%{_sysconfdir}/sgml/xml-docbook.cat

%files -n docbook-mathml-module
%defattr (-,root,root)
%doc testmath.xml
%{_datadir}/xml/docbook/dtd-4.1.2/dbmathml.dtd

%changelog
* Thu Jun  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3-8m)
- delete duplicated file

* Wed Nov 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3-7m)
- add version 4.3
- remove xml-4.1
- sync with Fedora (1.0-25)

* Thu Nov 04 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.3-6m)
- docbkx412.zip was replaced, change md5sum

* Thu Oct 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (4.3-5m)
- remake patch.

* Tue Apr 20 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3-4m)
- fix script to delete openjade-1.3.1 entry

* Sun Apr 18 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3-3m)
- add 4.2-sgml
- add script to delete openjade-1.3.1 entry from /etc/sgml/*.cat in %%post section (from Fedora Core 1)

* Tue Apr 13 2004 Hirouiki Koga <kuma@momonga-linux.org>
- (4.3-2m)
- rebuild against for openjade-1.3.2

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.3-1m)
- version 4.3

* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (4.2-3m)
- collect symlink of xml catalog.
- %%post.

* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (4.2-2m)
- %%post, %%postun, %%files.

* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (4.2-1m)
- version 4.2.

* Fri Nov 21 2003 zunda <zunda at freeshell.org>
- (1.0-12m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-10m)
- change BuildPreReq: xml-common => PreReq: xml-common

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-9m)
- change PreReq: xml-common => BuildPreReq: xml-common

* Wed May 22 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-8k)
- %%post, %%preun script bug fix. (mousukoshi)
- add sgml dtds

* Sun May 19 2002 Kenta MURATA <muraken@kondara.org>
- (1.0-6k)
- add mathml, htmlforms, EBNF modules.
- fix typo.

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-4k)
- fix source path

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-2k)
- new spec

* Mon Jan 28 2002 Tim Waugh <twaugh@redhat.com> 1.0-2
- Prepare for openjade 1.3.1.

* Thu Jan 17 2002 Tim Waugh <twaugh@redhat.com> 1.0-1
- Merged all the DTD packages into one (bug #58448).
- Use /usr/share/sgml exclusively.
- Prevent catalog files from disappearing on upgrade (bug #58463).

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 1.0-8
- Hmm, still need to depend on sgml-common for /etc/sgml.

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 1.0-7
- Use xmlcatalog (libxml2) instead of install-catalog (sgml-common) in
  scriptlets.
- Conflict with install-catalog if it can't handle quotes in catalogs.
- Use release number in centralized catalog name, so that the scriptlets
  work properly.

* Wed Oct 10 2001 Tim Waugh <twaugh@redhat.com> 1.0-6
- Change some Requires: to PreReq:s (bug #54507).

* Mon Oct  8 2001 Tim Waugh <twaugh@redhat.com> 1.0-5
- Use release number in the installed directory name, so that the
  package scripts work.

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 1.0-4
- Restore the /etc/sgml/catalog manipulation again.
- Oops, fix DTD path.

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 1.0-2
- Require xml-common.  Use xmlcatalog.
- Move files to /usr/share/xml.

* Tue Jun 12 2001 Tim Waugh <twaugh@redhat.com> 1.0-1
- Build for Red Hat Linux.

* Sat Jun 09 2001 Chris Runge <crunge@pobox.com>
- Provides: docbook-dtd-xml (not docbook-dtd-sgml)
- undo catalog patch and dbcentx patch (this resulted in an effectively
  broken DTD when the document was processed with XSL stylesheets); added a
  symbolic link to retain docbook.cat -> catalog; added ent
- added ChangeLog to doc

* Fri Jun 08 2001 Chris Runge <crunge@pobox.com>
- created a 4.1.2 version
- update required a change to OTHERCAT in postun
- update required a change to the Makefile patch (no dbgenent.ent any more,
  apparently)

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Scripts require fileutils.
- Make scripts quieter.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Don't use 'rpm' in post scripts.
- Be sure to own xml-dtd-4.1 directory.

* Sun Jan 14 2001 Tim Waugh <twaugh@redhat.com>
- Change requirement on /usr/bin/install-catalog to sgml-common.

* Tue Jan 09 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Use %%{_tmppath}/%%{name}-%%{version}-root
- Correct typo.
- rm before install
- openjade not jade.
- Build requires unzip.
- Require install-catalog for post and postun.
- Change Copyright: to License:.
- Remove Packager: line.

* Tue Jan 09 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
